Battery Time Remaining
======================

Show the estimated battery time remaining on top of your screen in Mac OS X 10.8 Mountain Lion.

![Normal mode](https://raw.github.com/codler/Battery-Time-Remaining/master/preview.png)
![Advanced mode](https://raw.github.com/codler/Battery-Time-Remaining/master/preview_advanced.png)

Why does this project exists?
-----------------------------

Apple removed the option to show the battery time remaining in the statusbar since the Mountain Lion release. This App will do exactly that, show the battery time remaining on top of your screen.

How do I install it?
--------------------

Two options:

- Download [latest version](https://github.com/codler/Battery-Time-Remaining/downloads), unzip and run the App
- Download the source here from Github and compile it with XCode

Is it accurate?
---------------

The App shows the exact same time as you will see when you click the battery icon. The time is provided by Mac OS X itself and as accurate as you can get.

How do I contribute?
--------------------

Fork this project, make some changes and submit a pull request. Check the issues tab for inspiration on what to fix. Please make sure you're fork is the latest development version!

If you find any issues or have a feature request please contribute by submitting an issue here on Github!

Who did make this app?
----------------------

* [codler](https://github.com/codler) / Han Lin Yap: created the [first version](https://github.com/codler/Battery-Time-Remaining) of the app
* [mac-cain13](https://github.com/mac-cain13) / Mathijs Kadijk: made some improvements

Change log
----------

2012-08-25 - **v1.5.1** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.5...v1.5.1)

* Added French language ([guillaume-algis](https://github.com/guillaume-algis) [#16](https://github.com/codler/Battery-Time-Remaining/pull/16))
* Added German language ([Velines](https://github.com/Velines) [#18](https://github.com/codler/Battery-Time-Remaining/pull/18))
* Improved battery icon by adding white drop shadow ([guillaume-algis](https://github.com/guillaume-algis) [#16](https://github.com/codler/Battery-Time-Remaining/pull/16) [#5](https://github.com/codler/Battery-Time-Remaining/issues/5))
* Fix a bug on battery icon in retina display ([codler](https://github.com/codler) [#13](https://github.com/codler/Battery-Time-Remaining/issues/13))
* Fix a bug not showing batteryCharged icon  ([codler](https://github.com/codler))

2012-08-19 - **v1.5** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.4...v1.5)

* Added language support ([mac-cain13](https://github.com/mac-cain13) [#9](https://github.com/codler/Battery-Time-Remaining/pull/9))
* Added Dutch language ([mac-cain13](https://github.com/mac-cain13) [#9](https://github.com/codler/Battery-Time-Remaining/pull/9) [#10](https://github.com/codler/Battery-Time-Remaining/pull/10))
* Added Swedish language ([codler](https://github.com/codler))
* Added advanced mode section ([codler](https://github.com/codler))
* Show battery temperature (advanced mode) ([codler](https://github.com/codler))
* Show power usage (advanced mode) ([codler](https://github.com/codler))
* Show battery cycle count (advanced mode) ([codler](https://github.com/codler))
* Show battery in mAh (advanced mode) ([codler](https://github.com/codler))
* Improved battery icon ([codler](https://github.com/codler) [#8](https://github.com/codler/Battery-Time-Remaining/issues/8))
* Improved app icon ([codler](https://github.com/codler) [#11](https://github.com/codler/Battery-Time-Remaining/issues/11))
* Code improvements ([codler](https://github.com/codler))
* Smaller text in menubar ([codler](https://github.com/codler) [#12](https://github.com/codler/Battery-Time-Remaining/issues/12))

2012-08-15 - **v1.4** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.3...v1.4)

* App sandbox ([codler](https://github.com/codler))
* Rewrote start at login ([codler](https://github.com/codler) [#4](https://github.com/codler/Battery-Time-Remaining/issues/4))
* Improved battery icon ([codler](https://github.com/codler))
* Improved notification ([codler](https://github.com/codler))

2012-08-12 - **v1.3** - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.2.1...v1.3)

* Added check for updates ([codler](https://github.com/codler))
* Display battery percentage left in menu ([codler](https://github.com/codler) [#6](https://github.com/codler/Battery-Time-Remaining/issues/6))

2012-08-09 - **v1.2.1** *(signed app)* - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.2...v1.2.1)

* Added notifications ([codler](https://github.com/codler))
* Added open energy saver preferences option ([codler](https://github.com/codler))

2012-08-08 - **v1.2** *(signed app)* - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.1.1...v1.2)

* From now on the app will always be signed. ([codler](https://github.com/codler) [#3](https://github.com/codler/Battery-Time-Remaining/issues/3))
* Added higher resolution app icon ([codler](https://github.com/codler))

2012-08-06 - **v1.1.1** *(unsigned app)* - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.1...v1.1.1)

* Added app icon ([mac-cain13](https://github.com/mac-cain13) [#2](https://github.com/codler/Battery-Time-Remaining/pull/2))
* Improved battery icon ([mac-cain13](https://github.com/mac-cain13) [#2](https://github.com/codler/Battery-Time-Remaining/pull/2))
* Removed MainMenu.xib ([codler](https://github.com/codler))

2012-08-05 - **v1.1** *(unsigned app)* - [diff](https://github.com/codler/Battery-Time-Remaining/compare/v1.0...v1.1)

* Added battery icon ([mac-cain13](https://github.com/mac-cain13) [#1](https://github.com/codler/Battery-Time-Remaining/pull/1))
* Added start at login option ([mac-cain13](https://github.com/mac-cain13) [#1](https://github.com/codler/Battery-Time-Remaining/pull/1))
* Added readme ([mac-cain13](https://github.com/mac-cain13) [#1](https://github.com/codler/Battery-Time-Remaining/pull/1))
* Improved battery icon ([codler](https://github.com/codler))
* Improved time remaining text ([mac-cain13](https://github.com/mac-cain13) [#1](https://github.com/codler/Battery-Time-Remaining/pull/1))

2012-08-01 - **v1.0** *(unsigned app)*

* First commit. ([codler](https://github.com/codler))